User visible changes in the firmware version 3.1.0 since version 3.0.1.

                             Highlights.

1. Support for up to 5 UDP output ports implemented (only up to 1 was
   supported).

2. Multipath reduction technique has been significantly improved.

3. GALILEO satellites tracking and positioning has been debugged and
   prooved using Spirent simulator.

4. Hot Start mode for GSM modem was added. The GSM modem is detected
   and registered in cellular network immediately after turning
   receiver on making it readily available for operation.

5. DNS support was added.

6. Dynamic DNS supportd was added.

7. RCV and NTRIP servers for corresponding clients can now be
   configured by their names, not only by their IP addresses.

8. Support of L2C measurements added to RTK.

9. Double check option added to RTK.

                      More Detailed Description
                (refer to GREIS for even more details)


                             1. Messages.

No changes.

                            2. Parameters.
                                 
2.1 New navigator parameters.

2.1.1 Parameters /par/pos/SYS/ura/mask (where SYS is one of
      [gps,glo,gal,sbas]) were added.

Parameters (separate for each system) for filtering of satellites
by URA value provided by ephemeris data :

/par/pos/SYS/ura/mask    SYS=[gps,glo,gal,sbas]

  Access: rw
  Type: float
  Value: [0.01 ... 10000.0] meters
  Default: 10.0

2.1.2 Parameters /par/pos/SYS/ura/check (where SYS is one
      of [gps,glo,gal,sbas]) were added.

Parameters (separate for each satellite of each system) for enabling/disabling of
the filtering of satellites by URA value provided by navigation data :

/par/pos/gps/ura/check

  Access:       rw
  Type:         array [1..32] of boolean
  Value:        y,n
  Default:      y

/par/pos/glo/ura/check

  Access:       rw
  Type:         array [1..24] of boolean
  Value:        y,n
  Default:      y

/par/pos/gal/ura/check

  Access:       rw
  Type:         array [1..30] of boolean
  Value:        y,n
  Default:      y

/par/pos/sbas/ura/check

  Access:       rw
  Type:         array [120..138] of boolean
  Value:        y,n
  Default:      y

2.1.3 Parameters /par/pos/SYS/health/check (where SYS is one of
      [gps,glo,gal,sbas]) were added.

Parameters (separate for each satellite of each system) for enabling/disabling of
the check of healthy status provided by navigation data.

/par/pos/gps/health/check

  Access:       rw
  Type:         array [1..32] of boolean
  Value:        y,n
  Default:      y

/par/pos/glo/health/check

  Access:       rw
  Type:         array [1..24] of boolean
  Value:        y,n
  Default:      y

/par/pos/gal/health/check

  Access:       rw
  Type:         array [1..30] of boolean
  Value:        y,n
  Default:      y

/par/pos/sbas/health/check

  Access:       rw
  Type:         array [120..138] of boolean
  Value:        y,n
  Default:      y

2.2 GSM modem parameters.

Modification: Modem management status, /par/modem/X/state
a) New value: "hot" - the hot start mode is turned on;

New parameter: Hot Start mode.

  Name:         /par/modem/X/hotstart
  Access:       rw
  Type:         boolean
  Values:       on | off
  Default:      off
  Description:  The parameter of turning on/off of Hot Start mode.

2.3 DNS parameters.

  Name:         /par/net/dns
  Access:       rw
  Type:         ip_addr
  Value:        (any valid IP address)
  Default:      0.0.0.0
  Description:  IP address of DNS server (for Ethernet and WiFi connections).
                For GPRS connection active DNS server is set automatically.


  Name:         /par/net/curdns
  Access:       r
  Type:         ip_addr
  Value:        (any valid IP address)
  Default:      0.0.0.0
  Description:  Current IP address of DNS server. Could be different
                from /par/net/dns when active DNS server is set
                automatically.


2.4 Dynamic DNS parameters.

  Name:         /par/net/ddns
  Access:       r
  Type:         list { mode, state, user, passwd, alias }
  Description:  The list of Dynamic DNS parameters.

  Name:         /par/net/ddns/mode
  Access:       rw
  Type:         boolean
  Values:       on | off
  Default:      off
  Description:  The mode of turning on/off of Dynamic DNS client. The parameter will
                applied after restart of receiver.

  Name:         /par/net/ddns/state
  Access:       r
  Type:         enumerated
  Values:       off | active | abort
  Default:      off
  Description:  Dynamic DNS client status.

  Name:         /par/net/ddns/user
  Access:       rw
  Type:         string[0..32]
  Default:      "user"
  Description:  The user name for connection to Dynamic DNS server.

  Name:         /par/net/ddns/passwd
  Access:       rw
  Type:         string[0..32]
  Default:      "passwd"
  Description:  The password for connection to Dynamic DNS server.

  Name:         /par/net/ddns/alias
  Access:       rw
  Type:         string[0..32]
  Default:      "user.dyndns.org"
  Description:  The alias for access to receiver.

2.5 TCP client parameters.

New parameter: RCV client name parameter.

  Name:         /par/net/tcpcl/rcv/name
  Access:       rw
  Type:         string[0..64]
  Default:      ""
  Description:  RCV client name parameter. This parameter should match the alias
                of the remote receiver.

New parameter: NTRIP client name parameter.

  Name:         /par/net/tcpcl/ntrip/name
  Access:       rw
  Type:         string[0..64]
  Default:      ""
  Description:  NTRIP client name parameter. This parameter should match the alias
                of the NTRIP caster.

2.6 New RTK parameters

Name:           /par/pos/pd/meas/c2
Access:         rw
Type:           bool
Values:         [on | off]
Default:        on
Description:    Parameter controls using L2C in RTK processing.

Name:           /par/pos/pd/doublechk
Access:         rw
Type:           bool
Values:         [on | off]
Default:        on
Description:    Parameter controls using the 'double check' option. It allows
                the RTK run two instances simultaneously, using different memory
                factor values. Either of two RTK engines which got fixed reports
                fixed solution. If both engines got fixed, the consistency check
                is performed.

                             4. Options.

No changes.

                             5. Commands.

No changes.

<END>
